PrompticPromptic

Create a run

POST
/components/{componentId}/runs

Authorization

BearerApiKey
AuthorizationBearer <token>

API key from workspace settings

In: header

Path Parameters

componentId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/components/497f6eca-6276-4993-bfeb-53cbbbba6f08/runs" \  -H "Content-Type: application/json" \  -d '{    "datasetId": "6586f21b-ad4d-4d06-a309-712af47184a2"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "datasetId": "6586f21b-ad4d-4d06-a309-712af47184a2",
  "aiComponentId": "5019a7c9-87f7-404d-b382-86b29517165e",
  "traceCount": 0,
  "createdAt": "string"
}
{
  "error": "string"
}